## net.i2p.router.startup
Class LoadClientAppsJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.startup.LoadClientAppsJob

All Implemented Interfaces:
  Job

     class LoadClientAppsJob

extends JobImpl

Run any client applications specified in the router.config. If any clientApp contains the config property ".onBoot=true" it'll be launched immediately, otherwise it'll get queued up for starting 2 minutes later.

Constructor Summary
`LoadClientAppsJob(RouterContext ctx)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`static void` `main(java.lang.String[] args)`
`(package private) static java.lang.String[]` `parseArgs(java.lang.String args)`
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadClientAppsJob

    public LoadClientAppsJob(RouterContext ctx)

Method Detail

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### parseArgs

    static java.lang.String[] parseArgs(java.lang.String args)

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### main

    public static void main(java.lang.String[] args)